Ant API: Class Available

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Available

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.Available

public class Available
extends Task

Will set the given property if the requested resource is available at runtime.

Author:
  Stefano Mazzocchi stefano@apache.org

Fields inherited from class org.apache.tools.ant.Task
`description, project, target`

Constructor Summary
`Available()`

Method Summary
`void` | `init()` Called by the project to let the task initialize properly.
`void` | `setClass(java.lang.String classname)`
`void` | `setClassname(java.lang.String classname)`
`void` | `setFile(java.lang.String filename)`
`void` | `setProperty(java.lang.String property)`
`void` | `setResource(java.lang.String resource)`

Methods inherited from class org.apache.tools.ant.Task
`execute, getDescription, setDescription, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Available

    public Available()

Method Detail

### setProperty

    public void setProperty(java.lang.String property)

### setClass

    public void setClass(java.lang.String classname)

### setClassname

    public void setClassname(java.lang.String classname)

### setFile

    public void setFile(java.lang.String filename)

### setResource

    public void setResource(java.lang.String resource)

### init

    public void init()
              throws BuildException

  Description copied from class: Task
  Called by the project to let the task initialize properly. Normally it does nothing.
  Overrides:
    init in class Task
  Tags copied from class: Task
  Throws:
    BuildException - if someting goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.